package simuladorvuelos.modelo;
/**
 * Representa una Hora, con las horas y minutos
 *  @author Libardo
 */
public class Hora {
	private int horas;
	private int minutos;

	public Hora(int hora, int minutos) {
		super();
		this.horas = hora;
		this.minutos = minutos;
	}

	public int getHoras() {
		return horas;
	}

	public void setHoras(int horas) {
		this.horas = horas;
	}

	public int getMinutos() {
		return minutos;
	}

	public void setMinutos(int minutos) {
		this.minutos = minutos;
	}
	/**
	 * Suma un incremento de minutos a la hora
	 * @param incremento cantidad de minutos a sumar
	 */
	public void sumar(int incremento) {
		this.minutos = this.minutos + incremento;
		if (this.minutos >= 60) {
			horas++;
			this.minutos = (this.minutos - 60);
		}
	}
	/**
	 * Determina si una hora es menor que otra
	 * @param hora objeto Hora
	 * @return true si es menor, false en caso contrario
	 */
	public boolean esMenor(Hora hora) {
		return (this.horas <= hora.horas && this.minutos < hora.minutos);
	}

	public String toString() {
		return horas + ":" + (minutos<10 ? (""+0+minutos):minutos);
	}
}
